// IPatrolMonitorService.java
package com.pm.patrol.service;

import java.util.List;
import java.util.Map;
import com.pm.common.config.PageData;

/**
 * 巡更监控Service接口
 *
 * @author pm
 * @date 2025-06-03
 */
public interface IPatrolMonitorService {
    /**
     * 获取实时巡更数据
     */
    public List<PageData> getRealtimePatrolData();

    /**
     * 获取巡更路线信息
     */
    public PageData getPatrolRouteInfo(String routeId);

    /**
     * 获取摄像头信息
     */
    public PageData getCameraStreamInfo(String cameraId);

    /**
     * 获取巡更统计数据
     */
    public Map<String, Object> getPatrolStatistics(PageData pd);
}